# Class MetalSeparatorUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.SeparatorUI
javax.swing.plaf.basic.BasicSeparatorUI
javax.swing.plaf.metal.MetalSeparatorUI

Direct Known Subclasses:
  `MetalPopupMenuSeparatorUI`

public class MetalSeparatorUI extends BasicSeparatorUI
A Metal L&F implementation of SeparatorUI. This implementation is a "combined" view/controller.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

## Field Summary

### Fields declared in class BasicSeparatorUI

`highlight, shadow`

## Constructor Summary

Constructors
Constructor
Description
`MetalSeparatorUI()`
Constructs a `MetalSeparatorUI`.

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent c)`
Constructs a new `MetalSeparatorUI` instance.

### Methods declared in class BasicSeparatorUI

`installDefaults, installListeners, uninstallDefaults, uninstallListeners`

### Methods declared in class ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MetalSeparatorUI

public MetalSeparatorUI()
Constructs a `MetalSeparatorUI`.

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)
Constructs a new `MetalSeparatorUI` instance.

Parameters:
  `c` - a component
Returns:
  a new `MetalSeparatorUI` instance.